# Abstract

Use pyinstaller to package a photo organizer for Mac📷
(This tiny tool saved my life!!)

# Requirements

* MacOS 13.3

# Dirs

* **env**
  * **process_cam_photos.yaml.yaml**
    * conda env yaml to run this repo
* **dist**
  * packaged tool, please copy **organize_photos** and **_internal** to your photo dir and run the executable file
```
your_photo_dir
│   00001.jpg
│   00002.jpg
│   00003.jpg
│   00004.raw
│   ...
│   organize_photos
└───_internal
```

# Files

* **organize_photos.py**
  * gather photos by their created dates(dir name format: YYYY-MM-DD), run ```pyinstaller organize_photos.py``` to package the script after modification

###### tags: `Pyinstaller`